package ru.dbotthepony.mc.otm.client.render

object Widgets15 {
	private val misc15 = WidgetLocation.WIDGET_15.grid(rows = 4, columns = 4)

	val CHECKED = misc15.next()
	val CHECKED_DISABLED = misc15.next()
	val UNCHECKED = misc15.next()
	val UNCHECKED_DISABLED = misc15.next()

	val BUTTON_IDLE_STRETCHABLE = misc15.makeButton(2f)
	val BUTTON_IDLE = misc15.next()
	val BUTTON_HOVERED_STRETCHABLE = misc15.makeButton(2f)
	val BUTTON_HOVERED = misc15.next()
	val BUTTON_PRESSED_STRETCHABLE = misc15.makeButton(2f)
	val BUTTON_PRESSED = misc15.next()
	val BUTTON_DISABLED_STRETCHABLE = misc15.makeButton(2f)
	val BUTTON_DISABLED = misc15.next()

	val RADIO_IDLE = misc15.next()
	val RADIO_HOVERED = misc15.next()
	val RADIO_PRESSED = misc15.next()
	val RADIO_DISABLED = misc15.next()
	val RADIO_ICON = misc15.next()
	val RADIO_ICON_DISABLED = misc15.next()
}
